## org.apache.tools.ant.types
Class PropertySet.PropertyRef

    java.lang.Object
      |
      +--org.apache.tools.ant.types.PropertySet.PropertyRef

Enclosing class:
  PropertySet

public static class PropertySet.PropertyRef
extends java.lang.Object

Constructor Summary
`PropertySet.PropertyRef()`

Method Summary
`void` `setBuiltin(PropertySet.BuiltinPropertySetName b)`
`void` `setName(java.lang.String name)`
`void` `setPrefix(java.lang.String prefix)`
`void` `setRegex(java.lang.String regex)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertySet.PropertyRef

    public PropertySet.PropertyRef()

Method Detail

### setName

    public void setName(java.lang.String name)

### setRegex

    public void setRegex(java.lang.String regex)

### setPrefix

    public void setPrefix(java.lang.String prefix)

### setBuiltin

    public void setBuiltin(PropertySet.BuiltinPropertySetName b)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.